MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022332Community[OCCT] OCCT:Visualizationpublic2011-03-17 16:382012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022332: Fix for Visual3d_Layer (linetype, linewidth and transparency)
DescriptionPost from the forum http://www.opencascade.org/org/forum/thread_20209/. [^]
This is a patch in order to fix the non working linetype, linewidth and
transparency features of Visual3d_Layer class.
Additional information
and documentation updates
Documentation remark, added by apl 2011-06-10 12:26:55:

Changes:
There are following changes in packages:
OpenGl package:
  1) The method that sets the line attributes in layer mode
     call_togl_set_line_attributes has been modified. Now it doesn't depends
     on static flag variables, instead of it method tries to acquire the
     current OpenGl attribute flags.
  2) The layer begin/end methods call_togl_begin_layer2d / call_togl_end_layer2d
     has been modified to keep the OpenGl attribute flags unchanged.
  3) The maximum count of predefined line styles for OpenGl driver has been
     defined as TEL_LS_MAX in InterfaceGraphic.hxx, this value is used during
     the line style list creation in TsmInitAttributes.

InterfaceGraphic package:
  1) The maximum count of default line styles has been defined as TEL_LS_MAX
     in InterfaceGraphic.hxx

ViewerTest package:
  1) DRAW command "vlayerline" has been added to test linewidth, linetype and
     transparency of the Visual3d_Layer class.
     The command draws a line and has the following arguments:
     >> vlayerline x1 y1 x2 y2 [linewidth=0.5] [linetype=0] [transparency=1.0]
     Linewidth in pixels, Transparency in range [0.0-1.0].
TagsNo tags attached.
Test case numberchl 937 D3
Attached Filespatch file icon OpenGl_togl_begin_layer_mode.patch (2,640 bytes) 2011-03-18 13:50
gz file icon apl-OCC22332-v1.tar.gz (32,426 bytes) 2011-04-22 11:17
gz file icon apl-OCC22332-v2.tar.gz (42,850 bytes) 2011-06-10 12:22
? file icon TestScript (2,292 bytes) 2011-06-10 12:22
gz file icon apl-OCC22332-v3.tar.gz (52,939 bytes) 2011-06-27 12:07
gz file icon testscript.tar.gz (809 bytes) 2011-08-05 10:43
? file icon D3 (2,702 bytes) 2012-03-16 19:44

- Relationships
related to 0022819closedbugmaster Open CASCADE Redesign of OpenGl driver 

-  Notes
(0017843)
bugmaster (administrator)
2011-07-28 19:12

Anton,

This message is test of notification only
(0017914)
miv (tester)
2011-08-05 10:22
edited on: 2011-11-23 16:55

Anton,

Reload test script as known type of archived file of tcl script format.

--
Regards,
Mike

(0017916)
apl (developer)
2011-08-05 11:34

Dear Mikhail,

The test script is available in archived format: "testscript.tar.gz".
(0017999)
miv (tester)
2011-08-18 14:47
edited on: 2011-11-23 16:55

This fix testes.
Regression was not found.
---
Regards,
Mike

(0019673)
abv (manager)
2012-02-20 16:42

We cannot integrate the fix based on patch from the user who have not signed CLA. Waiting for signature. Note that the fix contained in the tested branch is obsolete now due to re-implemented OpenGl package (see 0022819).
(0019946)
apl (developer)
2012-03-13 13:06

Dear Bugmaster,

The problems related to the issue are not found in redesigned OpenGl driver (0022819). Thus, the git branch will be prepared only with draw testing commands.
(0019960)
apl (developer)
2012-03-14 09:51

Branch with draw command has been prepared in SVN:

http://svn/svn/occt/branches/OCC22332_DrawCommands [^]
(0019961)
apl (developer)
2012-03-14 09:55

Dear Bugmaster,

The branch http://svn/svn/occt/branches/OCC22332_DrawCommands [^]

is ready for tests.

The previous branch is not needed anymore and will be deleted as out-of-date.
(0019983)
apn (administrator)
2012-03-15 10:30
edited on: 2012-03-15 10:30

Dear BugMaster,
    SVN branch http://svn/svn/occt/branches/OCC22332_DrawCommands [^] hes been moved to GIT CR22332 one.
    Workbench KAS:dev:apn-22332-occt was created from git branch CR22332
  (and apn-22332-products from svn trunk) and compiled on Linux platform.

  There is compilation error:
Error : Errors occured in Shell
/dn47/KAS/dev/apn-22332-occt/src/ViewerTest/ViewerTest_ViewerCommands.cxx:2222: error: expected unqualified-id before '==' token

Info : ----------------------- Compilation Report -----------------------
Info : Failed : :KAS:dev:apn-22332-occt:ViewerTest:source:ViewerTest_ViewerCommands.cxx
Info : -----------------------------------------------------------------

(0019990)
apl (developer)
2012-03-15 11:32

Compilation error has been corrected in GIT CR22332
(0019991)
apl (developer)
2012-03-15 11:33

Dear Bugmaster,

The GIT CR22332 branch is ready to be tested
(0020030)
apn (administrator)
2012-03-16 19:27
edited on: 2012-03-16 19:43

Dear BugMaster,
    Workbench KAS:dev:apn-22332-occt was updated from git branch CR22332
  (and apn-22332-products from svn trunk) and compiled on Linux platform.
  
    There are not regressions in apn-22332-products regarding to KAS:dev:products-20120306-opt

    Test case fir this fix is chl 937 D3. It's OK.
    
    See results in /QADisk/occttests/results/KAS/dev/apn-22332-products_15032012/lin
    See reference results in /QADisk/occttests/results/KAS/dev/products-20120306-opt_07032012/lin
    See test cases in /QADisk/occttests/tests/ED

(0020069)
bugmaster (administrator)
2012-03-21 17:27

Integrated into master

- Related Changesets
occt: master 20637bd2
Timestamp: 2012-03-20 14:11:09
Author: bugmaster
Details ] Diff ]
0022332: Fix for Visual3d_Layer (linetype, linewidth and transparency)

Changes:
There are following changes in packages:
OpenGl package:
  1) The method that sets the line attributes in layer mode
     call_togl_set_line_attributes has been modified. Now it doesn't depends
     on static flag variables, instead of it method tries to acquire the
     current OpenGl attribute flags.
  2) The layer begin/end methods call_togl_begin_layer2d / call_togl_end_layer2d
     has been modified to keep the OpenGl attribute flags unchanged.
  3) The maximum count of predefined line styles for OpenGl driver has been
     defined as TEL_LS_MAX in InterfaceGraphic.hxx, this value is used during
     the line style list creation in TsmInitAttributes.

InterfaceGraphic package:
  1) The maximum count of default line styles has been defined as TEL_LS_MAX
     in InterfaceGraphic.hxx

ViewerTest package:
  1) DRAW command "vlayerline" has been added to test linewidth, linetype and
     transparency of the Visual3d_Layer class.
     The command draws a line and has the following arguments:
     >> vlayerline x1 y1 x2 y2 [linewidth=0.5] [linetype=0] [transparency=1.0]
     Linewidth in pixels, Transparency in range [0.0-1.0].
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-03-18 13:50 bugmaster Status closed => assigned
2011-03-18 13:50 bugmaster Resolution suspended => @0@
2011-03-18 13:51 bugmaster Assigned To bugmaster => san
2011-04-07 18:11 bugmaster Assigned To san => apl
2011-04-22 11:42 apl Status assigned => resolved
2011-06-08 20:38 mkv Status resolved => assigned
2011-06-10 14:38 apl Status assigned => resolved
2011-07-28 15:54 apl CC => miv
2011-07-28 19:12 bugmaster Note Added: 0017843
2011-08-01 12:48 bugmaster Status resolved => reviewed
2011-08-01 12:48 bugmaster Fixed in Version EMPTY =>
2011-08-01 12:48 bugmaster Target Version => 6.5.2
2011-08-01 12:48 bugmaster Description Updated View Revisions
2011-08-01 12:48 bugmaster Additional Information Updated View Revisions
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2011-08-05 10:22 miv Note Added: 0017914
2011-08-05 10:43 apl File Added: testscript.tar.gz
2011-08-05 11:34 apl Note Added: 0017916
2011-08-05 12:13 miv Test case number => chl 937 D3
2011-08-18 14:47 miv Note Added: 0017999
2011-08-18 14:47 miv Status reviewed => tested
2011-08-18 14:47 miv Assigned To apl => bugmaster
2011-09-21 11:43 bugmaster Target Version 6.5.2 => 6.5.3
2011-11-23 16:54 szy Additional Information Updated View Revisions
2011-11-23 16:55 szy Note Edited: 0017914 View Revisions
2011-11-23 16:55 szy Note Edited: 0017999 View Revisions
2012-02-20 16:42 abv Note Added: 0019673
2012-02-20 16:42 abv Assigned To bugmaster => abv
2012-02-20 16:42 abv Status tested => feedback
2012-02-21 08:07 abv Relationship added related to 0022819
2012-03-13 13:06 apl Note Added: 0019946
2012-03-13 13:08 apl Assigned To abv => apl
2012-03-13 13:08 apl Status feedback => assigned
2012-03-14 09:51 apl Note Added: 0019960
2012-03-14 09:51 apl Status assigned => resolved
2012-03-14 09:55 apl Note Added: 0019961
2012-03-14 09:55 apl Assigned To apl => bugmaster
2012-03-14 09:55 apl Status resolved => reviewed
2012-03-14 13:44 mkv Assigned To bugmaster => apn
2012-03-15 10:30 apn Note Added: 0019983
2012-03-15 10:30 apn Note Edited: 0019983 View Revisions
2012-03-15 10:31 apn Assigned To apn => apl
2012-03-15 10:31 apn Status reviewed => assigned
2012-03-15 11:32 apl Note Added: 0019990
2012-03-15 11:32 apl Status assigned => resolved
2012-03-15 11:33 apl Note Added: 0019991
2012-03-15 11:33 apl Assigned To apl => bugmaster
2012-03-15 11:33 apl Status resolved => reviewed
2012-03-15 11:48 apn Assigned To bugmaster => apn
2012-03-16 19:27 apn Note Added: 0020030
2012-03-16 19:43 apn Note Edited: 0020030 View Revisions
2012-03-16 19:44 apn File Added: D3
2012-03-16 19:44 apn Assigned To apn => bugmaster
2012-03-16 19:44 apn Status reviewed => tested
2012-03-21 17:27 bugmaster Note Added: 0020069
2012-03-21 17:27 bugmaster Status tested => verified
2012-03-21 17:27 bugmaster Assigned To bugmaster => apl
2012-03-29 17:26 bugmaster Changeset attached => occt master 20637bd2


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker